import 'package:flutter/material.dart';
import 'package:factory_signage_app/const/colors.dart';
import 'package:factory_signage_app/const/dimens.dart';
import 'package:factory_signage_app/const/string.dart';

class ProductNumber extends StatelessWidget {
  const ProductNumber(
      {super.key, this.size = const Size(double.infinity, double.infinity)});

  final Size size;

  @override
  Widget build(BuildContext context) {
    final Size widgetSize = MediaQuery.of(context).size;

    return SizedBox(
      width: size.width,
      height: size.height,
      child: Column(
        children: [
          titleWidget(widgetSize),
          productNumberWidget(widgetSize),
        ],
      ),
    );
  }

  Widget titleWidget(Size widgetSize) {
    return Container(
        alignment: Alignment.center,
        color: textBackgroundColor,
        height: productNumberTitleHeightRatio * widgetSize.height,
        child: Text(
          productNumberTitle,
          style: TextStyle(
            color: textWhiteColor,
            fontSize: productNumberTitleFontSizeRatio * widgetSize.height,
          ),
        ));
  }

  Widget productNumberWidget(Size widgetSize) {
    return Container(
        alignment: Alignment.center,
        color: productNumberBackgroundColor,
        height: productNumberHeightRatio * widgetSize.height,
        child: Text(
          productNumber,
          style: TextStyle(
            color: textBlackColor,
            fontSize: productNumberFontSizeRatio * widgetSize.height,
            fontWeight: FontWeight.bold,
          ),
        )
    );
  }
}
